## javax.persistence
Class PersistenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EntityExistsException, EntityNotFoundException, LockTimeoutException, NonUniqueResultException, NoResultException, OptimisticLockException, PessimisticLockException, QueryTimeoutException, RollbackException, TransactionRequiredException

    public class PersistenceException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`PersistenceException()`
`PersistenceException(java.lang.String message)`
`PersistenceException(java.lang.String message, java.lang.Throwable cause)`
`PersistenceException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceException

    public PersistenceException()

### PersistenceException

    public PersistenceException(java.lang.String message)

### PersistenceException

    public PersistenceException(java.lang.String message,
                                java.lang.Throwable cause)

### PersistenceException

    public PersistenceException(java.lang.Throwable cause)